Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ChildrenCopyCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ChildrenCopyCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ChildrenCopyCreator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private ChildrenCopyCreator(bool deserializing) : base(deserializing) { }
+    private ChildrenCopyCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ChildrenCopyCreator(ChildrenCopyCreator original, Cloner cloner) : base(original, cloner) { }
     public ChildrenCopyCreator()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 15018)
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    private ChildrenCreator(bool deserializing) : base(deserializing) { }
+    private ChildrenCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ChildrenCreator(ChildrenCreator original, Cloner cloner) : base(original, cloner) { }
     public ChildrenCreator()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/DiscreteDoubleValueModifier.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/DiscreteDoubleValueModifier.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/DiscreteDoubleValueModifier.cs	(revision 15018)
@@ -73,5 +73,5 @@
     #endregion
     [StorableConstructor]
-    protected DiscreteDoubleValueModifier(bool deserializing) : base(deserializing) { }
+    protected DiscreteDoubleValueModifier(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DiscreteDoubleValueModifier(DiscreteDoubleValueModifier original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ExponentialDiscreteDoubleValueModifier.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ExponentialDiscreteDoubleValueModifier.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ExponentialDiscreteDoubleValueModifier.cs	(revision 15018)
@@ -35,5 +35,5 @@
   public class ExponentialDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
-    protected ExponentialDiscreteDoubleValueModifier(bool deserializing) : base(deserializing) { }
+    protected ExponentialDiscreteDoubleValueModifier(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExponentialDiscreteDoubleValueModifier(ExponentialDiscreteDoubleValueModifier original, Cloner cloner) : base(original, cloner) { }
     public ExponentialDiscreteDoubleValueModifier() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ExpressionCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ExpressionCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ExpressionCalculator.cs	(revision 15018)
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    protected ExpressionCalculator(bool deserializing) : base(deserializing) { }
+    protected ExpressionCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ExpressionCalculator(ExpressionCalculator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/GeneralizedExponentialDiscreteDoubleValueModifier.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/GeneralizedExponentialDiscreteDoubleValueModifier.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/GeneralizedExponentialDiscreteDoubleValueModifier.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected GeneralizedExponentialDiscreteDoubleValueModifier(bool deserializing) : base(deserializing) { }
+    protected GeneralizedExponentialDiscreteDoubleValueModifier(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected GeneralizedExponentialDiscreteDoubleValueModifier(GeneralizedExponentialDiscreteDoubleValueModifier original, Cloner cloner) : base(original, cloner) { }
     public GeneralizedExponentialDiscreteDoubleValueModifier() {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/LinearDiscreteDoubleValueModifier.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/LinearDiscreteDoubleValueModifier.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/LinearDiscreteDoubleValueModifier.cs	(revision 15018)
@@ -32,5 +32,5 @@
   public class LinearDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
-    protected LinearDiscreteDoubleValueModifier(bool deserializing) : base(deserializing) { }
+    protected LinearDiscreteDoubleValueModifier(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected LinearDiscreteDoubleValueModifier(LinearDiscreteDoubleValueModifier original, Cloner cloner) : base(original, cloner) { }
     public LinearDiscreteDoubleValueModifier() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdedComparisonSorter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdedComparisonSorter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdedComparisonSorter.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected CrowdedComparisonSorter(bool deserializing) : base(deserializing) { }
+    protected CrowdedComparisonSorter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CrowdedComparisonSorter(CrowdedComparisonSorter original, Cloner cloner) : base(original, cloner) { }
     public CrowdedComparisonSorter() {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdingDistanceAssignment.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdingDistanceAssignment.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/CrowdingDistanceAssignment.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected CrowdingDistanceAssignment(bool deserializing) : base(deserializing) { }
+    protected CrowdingDistanceAssignment(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CrowdingDistanceAssignment(CrowdingDistanceAssignment original, Cloner cloner) : base(original, cloner) { }
     public CrowdingDistanceAssignment() {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/FastNonDominatedSort.cs	(revision 15018)
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    protected FastNonDominatedSort(bool deserializing) : base(deserializing) { }
+    protected FastNonDominatedSort(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected FastNonDominatedSort(FastNonDominatedSort original, Cloner cloner) : base(original, cloner) { }
     public FastNonDominatedSort() {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/RankAndCrowdingSorter.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/RankAndCrowdingSorter.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/MultiObjective/RankAndCrowdingSorter.cs	(revision 15018)
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected RankAndCrowdingSorter(bool deserializing) : base(deserializing) { }
+    protected RankAndCrowdingSorter(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected RankAndCrowdingSorter(RankAndCrowdingSorter original, Cloner cloner) : base(original, cloner) { }
     public RankAndCrowdingSorter()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/NoSimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/NoSimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/NoSimilarityCalculator.cs	(revision 15018)
@@ -36,5 +36,5 @@
     protected override bool IsCommutative { get { return true; } }
 
-    private NoSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    private NoSimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private NoSimilarityCalculator(NoSimilarityCalculator original, Cloner cloner) : base(original, cloner) { }
     public NoSimilarityCalculator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ParentCopyCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ParentCopyCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ParentCopyCrossover.cs	(revision 15018)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected ParentCopyCrossover(bool deserializing) : base(deserializing) { }
+    protected ParentCopyCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ParentCopyCrossover(ParentCopyCrossover original, Cloner cloner) : base(original, cloner) { }
     public ParentCopyCrossover()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ProbabilisticQualityComparator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ProbabilisticQualityComparator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ProbabilisticQualityComparator.cs	(revision 15018)
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ProbabilisticQualityComparator(bool deserializing) : base(deserializing) { }
+    protected ProbabilisticQualityComparator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ProbabilisticQualityComparator(ProbabilisticQualityComparator original, Cloner cloner) : base(original, cloner) { }
     public ProbabilisticQualityComparator()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ProgrammableAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ProgrammableAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ProgrammableAnalyzer.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected ProgrammableAnalyzer(bool deserializing) : base(deserializing) { }
+    protected ProgrammableAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ProgrammableAnalyzer(ProgrammableAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QuadraticDiscreteDoubleValueModifier.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QuadraticDiscreteDoubleValueModifier.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QuadraticDiscreteDoubleValueModifier.cs	(revision 15018)
@@ -32,5 +32,5 @@
   public class QuadraticDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
-    protected QuadraticDiscreteDoubleValueModifier(bool deserializing) : base(deserializing) { }
+    protected QuadraticDiscreteDoubleValueModifier(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected QuadraticDiscreteDoubleValueModifier(QuadraticDiscreteDoubleValueModifier original, Cloner cloner) : base(original, cloner) { }
     public QuadraticDiscreteDoubleValueModifier() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualityComparator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualityComparator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualityComparator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected QualityComparator(bool deserializing) : base(deserializing) { }
+    protected QualityComparator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected QualityComparator(QualityComparator original, Cloner cloner) : base(original, cloner) { }
     public QualityComparator()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualitySimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualitySimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/QualitySimilarityCalculator.cs	(revision 15018)
@@ -38,5 +38,5 @@
     protected override bool IsCommutative { get { return true; } }
 
-    private QualitySimilarityCalculator(bool deserializing) : base(deserializing) { }
+    private QualitySimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private QualitySimilarityCalculator(QualitySimilarityCalculator original, Cloner cloner) : base(original, cloner) { }
     public QualitySimilarityCalculator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ResultsCollector.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ResultsCollector.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ResultsCollector.cs	(revision 15018)
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected ResultsCollector(bool deserializing) : base(deserializing) { }
+    protected ResultsCollector(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ResultsCollector(ResultsCollector original, Cloner cloner) : base(original, cloner) { }
     public ResultsCollector()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SASEGASAReunificator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SASEGASAReunificator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SASEGASAReunificator.cs	(revision 15018)
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected SASEGASAReunificator(bool deserializing) : base(deserializing) { }
+    protected SASEGASAReunificator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SASEGASAReunificator(SASEGASAReunificator original, Cloner cloner) : base(original, cloner) { }
     public SASEGASAReunificator()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ShakingOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ShakingOperator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/ShakingOperator.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected ShakingOperator(bool deserializing) : base(deserializing) { }
+    protected ShakingOperator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected ShakingOperator(ShakingOperator<T> original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SingleObjectivePathRelinker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SingleObjectivePathRelinker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SingleObjectivePathRelinker.cs	(revision 15018)
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    protected SingleObjectivePathRelinker(bool deserializing) : base(deserializing) { }
+    protected SingleObjectivePathRelinker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SingleObjectivePathRelinker(SingleObjectivePathRelinker original, Cloner cloner) : base(original, cloner) { }
     protected SingleObjectivePathRelinker()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SingleObjectiveSolutionSimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SingleObjectiveSolutionSimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SingleObjectiveSolutionSimilarityCalculator.cs	(revision 15018)
@@ -35,5 +35,5 @@
 #pragma warning restore 0618
     [StorableConstructor]
-    protected SingleObjectiveSolutionSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveSolutionSimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SingleObjectiveSolutionSimilarityCalculator(SingleObjectiveSolutionSimilarityCalculator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SolutionSimilarityCalculator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SolutionSimilarityCalculator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SolutionSimilarityCalculator.cs	(revision 15018)
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected SolutionSimilarityCalculator(bool deserializing) : base(deserializing) { }
+    protected SolutionSimilarityCalculator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     protected SolutionSimilarityCalculator(SolutionSimilarityCalculator original, Cloner cloner)
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 15018)
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    private SolutionsCreator(bool deserializing) : base(deserializing) { }
+    private SolutionsCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private SolutionsCreator(SolutionsCreator original, Cloner cloner) : base(original, cloner) { }
     public SolutionsCreator()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SquareRootDiscreteDoubleValueModifier.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SquareRootDiscreteDoubleValueModifier.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/SquareRootDiscreteDoubleValueModifier.cs	(revision 15018)
@@ -33,5 +33,5 @@
   public class SquareRootDiscreteDoubleValueModifier : DiscreteDoubleValueModifier {
     [StorableConstructor]
-    protected SquareRootDiscreteDoubleValueModifier(bool deserializing) : base(deserializing) { }
+    protected SquareRootDiscreteDoubleValueModifier(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected SquareRootDiscreteDoubleValueModifier(SquareRootDiscreteDoubleValueModifier original, Cloner cloner) : base(original, cloner) { }
     public SquareRootDiscreteDoubleValueModifier() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/TabuMaker.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/TabuMaker.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/TabuMaker.cs	(revision 15018)
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    protected TabuMaker(bool deserializing) : base(deserializing) { }
+    protected TabuMaker(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected TabuMaker(TabuMaker original, Cloner cloner) : base(original, cloner) { }
     protected TabuMaker()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UnidirectionalRingMigrator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UnidirectionalRingMigrator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UnidirectionalRingMigrator.cs	(revision 15018)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected UnidirectionalRingMigrator(bool deserializing) : base(deserializing) { }
+    protected UnidirectionalRingMigrator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UnidirectionalRingMigrator(UnidirectionalRingMigrator original, Cloner cloner) : base(original, cloner) { }
 
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedCrossover.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class UserDefinedCrossover : UserDefinedOperator, ICrossover {
     [StorableConstructor]
-    protected UserDefinedCrossover(bool deserializing) : base(deserializing) { }
+    protected UserDefinedCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UserDefinedCrossover(UserDefinedCrossover original, Cloner cloner) : base(original, cloner) { }
     public UserDefinedCrossover() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedEvaluator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedEvaluator.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected UserDefinedEvaluator(bool deserializing) : base(deserializing) { }
+    protected UserDefinedEvaluator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UserDefinedEvaluator(UserDefinedEvaluator original, Cloner cloner) : base(original, cloner) { }
     public UserDefinedEvaluator()
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedManipulator.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class UserDefinedManipulator : UserDefinedOperator, IManipulator {
     [StorableConstructor]
-    protected UserDefinedManipulator(bool deserializing) : base(deserializing) { }
+    protected UserDefinedManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UserDefinedManipulator(UserDefinedManipulator original, Cloner cloner) : base(original, cloner) { }
     public UserDefinedManipulator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedOperator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedOperator.cs	(revision 15018)
@@ -31,5 +31,5 @@
   public abstract class UserDefinedOperator : CheckedMultiOperator<IOperator> {
     [StorableConstructor]
-    protected UserDefinedOperator(bool deserializing) : base(deserializing) { }
+    protected UserDefinedOperator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UserDefinedOperator(UserDefinedOperator original, Cloner cloner) : base(original, cloner) { }
     public UserDefinedOperator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedSolutionCreator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedSolutionCreator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/UserDefinedSolutionCreator.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public class UserDefinedSolutionCreator : UserDefinedOperator, ISolutionCreator {
     [StorableConstructor]
-    protected UserDefinedSolutionCreator(bool deserializing) : base(deserializing) { }
+    protected UserDefinedSolutionCreator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected UserDefinedSolutionCreator(UserDefinedSolutionCreator original, Cloner cloner) : base(original, cloner) { }
     public UserDefinedSolutionCreator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/WeightedParentsQualityComparator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/WeightedParentsQualityComparator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Optimization.Operators/3.3/WeightedParentsQualityComparator.cs	(revision 15018)
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected WeightedParentsQualityComparator(bool deserializing) : base(deserializing) { }
+    protected WeightedParentsQualityComparator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected WeightedParentsQualityComparator(WeightedParentsQualityComparator original, Cloner cloner) : base(original, cloner) { }
     public WeightedParentsQualityComparator()
